/* フォントデータ */
struct DXRubyFont {
    LPD3DXFONT pD3DXFont;       /* フォントオブジェクト   */
    HFONT hFont;                /* Image描画に使うフォント  */
    int size;                   /* フォントサイズ */
    VALUE vfontname;            /* フォント名称 */
    VALUE vweight;              /* 太さ */
    VALUE vitalic;              /* イタリックフラグ */
    VALUE vglyph;               /* グリフキャッシュ */
};

void Init_dxruby_Font( void );
void Font_release( struct DXRubyFont* font );
VALUE Font_getWidth( VALUE obj, VALUE vstr );
VALUE Font_getSize( VALUE obj );
char *Font_getGlyph( VALUE obj, UINT widechr, HDC hDC, GLYPHMETRICS *gm );

